﻿namespace Mirea.Api.Dto.Requests;

/// <summary>
/// Represents a request object for retrieving schedules based on various filters.
/// </summary>
public class ScheduleRequest
{
    /// <summary>
    /// Gets or sets an array of group IDs.
    /// </summary>
    public int[]? Groups { get; set; } = null;

    /// <summary>
    /// Gets or sets a value indicating whether to retrieve schedules for even weeks.
    /// </summary>
    public bool? IsEven { get; set; } = null;

    /// <summary>
    /// Gets or sets an array of discipline IDs.
    /// </summary>
    public int[]? Disciplines { get; set; } = null;

    /// <summary>
    /// Gets or sets an array of professor IDs.
    /// </summary>
    public int[]? Professors { get; set; } = null;

    /// <summary>
    /// Gets or sets an array of lecture hall IDs.
    /// </summary>
    public int[]? LectureHalls { get; set; } = null;

    /// <summary>
    /// Gets or sets an array of lesson type IDs.
    /// </summary>
    public int[]? LessonType { get; set; } = null;
}
